6.0.0-git
2019-05-19

[#10443] Wrong autoincrementKey usage
Summary Wrong autoincrementKey usage
Queue Ansel
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-08-19 (2830 days ago)
Due
Updated 2011-09-02 (2816 days ago)
Assigned
Resolved 2011-09-02 (2816 days ago)
Milestone
Patch No

History
2011-09-02 16:17:47 Michael Rubinsky State ⇒ Resolved
 
2011-09-02 16:17:07 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 10443 fix another erroneous autoincrementKey change.
Also, 3 and 7 migration were essentially duplicates (7 was to fix an 
error in the 3
migration that has since been fixed in 3). make the 7 migration a noop.

  2 files changed, 9 insertions(+), 88 deletions(-)
http://git.horde.org/horde-git/-/commit/9df7438cc5e57e34d327b498bd98ed3674b58652
2011-09-02 16:17:02 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 10443 - fix erroneous primaryKey -> autoincrementKey change
Tables seem to have be created correctly with the incorrect usage in
MySQL and Postgres 9, plus all existing content tests were passing. This
just fixes the migrations for new installs.

  1 files changed, 7 insertions(+), 3 deletions(-)
http://git.horde.org/horde-git/-/commit/a233e45407e62132de5653e14146697b54ec5590
2011-08-19 17:28:50 Jan Schneider Comment #2
Summary ⇒ Wrong autoincrementKey usage
Reply to this comment
There are more wrong usages, in content:
rampage_tagged and rampage_user_tag_stats use it for multi-column keys
rampage_tag_stats is using it for tag_id, which is never 
autoincremented, but always inserted manually.
2011-08-19 17:12:04 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Wrong column type for style_hash
Queue ⇒ Ansel
Assigned to Michael Rubinsky
Milestone ⇒
Patch ⇒ No
Reply to this comment
ansel_hashes.style_hash is defined as an autoincrementKey and string 
column at the same time, which are incompatible.

Saved Queries